//	VirtualDubMod - Video processing and capture application based on VirtualDub by Avery Lee
//	Copyright (C) 1998-2002 VirtualDubMod Developers
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//  Adapted from a sample by Todd Jeffreys

#ifndef f_CREDITS_MOD_H
#define f_CREDITS_MOD_H

typedef struct tagCREDITCOLOR {
	float r,g,b;
} CREDITCOLOR, *LPCREDITCOLOR;

typedef struct tagCREDIT {
	char *credit;
	CREDITCOLOR color;
} CREDIT, *LPCREDIT;

#define COL_BLACK	{0.0f, 0.0f, 0.0f}
#define COL_RED		{1.0f, 0.0f, 0.0f}
#define COL_GREEN	{0.0f, 1.0f, 0.0f}
#define COL_BLUE	{0.0f, 0.0f, 1.0f}
#define COL_YELLOW	{1.0f, 1.0f, 0.0f}
#define COL_WHITE	{1.0f, 1.0f, 1.0f}
#define COL_HEADING	COL_RED
#define COL_ITEM	COL_YELLOW
#define COL_TEXT	COL_WHITE
#define COL_NONE	COL_BLACK

CREDIT modCredits [] = {
	{"www.virtualdub-fr.org", COL_BLUE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Developpeurs:", COL_HEADING},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Belgabor", COL_ITEM},
	{"Cyrius", COL_ITEM},
	{"Pulco-Citron", COL_ITEM},
	{"Stone-D", COL_ITEM},
	{"Stream", COL_ITEM},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Version Francaise:", COL_HEADING},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Sparad0x", COL_ITEM},
	{"www.trad-fr.com", COL_ITEM},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Admin du Projet:", COL_HEADING},
	{"", COL_NONE},
	{"", COL_NONE},
	{"ChristianHJW", COL_ITEM},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Web Designers:", COL_HEADING},
	{"", COL_NONE},
	{"", COL_NONE},
	{"mf", COL_ITEM},
	{"Putteh", COL_ITEM},
	{"Taarji", COL_ITEM},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Le code provient des", COL_HEADING},
	{"Mods suivants:", COL_HEADING},
	{"", COL_NONE},
	{"", COL_NONE},
	{"NanDub", COL_ITEM},
	{"Nando", COL_TEXT},
	{"", COL_NONE},
	{"VirtualDubAVS", COL_ITEM},
	{"Belgabor", COL_TEXT},
	{"", COL_NONE},
	{"VirtualDubMPeg2", COL_ITEM},
	{"Pulco-Citron", COL_TEXT},
	{"", COL_NONE},
	{"VirtualDubNet", COL_ITEM},
	{"Thomas Matern", COL_TEXT},
	{"", COL_NONE},
	{"VirtualDubOGM", COL_ITEM},
	{"Cyrius", COL_TEXT},
	{"", COL_NONE},
	{"VirtualDubSync", COL_ITEM},
	{"Andreas Dittrich", COL_TEXT},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Remerciements a:", COL_HEADING},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Ben Rudiak-Gould", COL_ITEM},
	{"AVISynth", COL_TEXT},
	{"ai-je besoin d'en dire plus?", COL_TEXT},
	{"", COL_NONE},
	{"& l'Equipe AVISynth2", COL_ITEM},
	{"Qui a rendu incroyable", COL_TEXT},
	{"ce qui etait deja super =)", COL_TEXT},
	{"", COL_NONE},
	{"fccHandler", COL_ITEM},
	{"Prise en charge MPEG2 via", COL_TEXT},
	{"le lecteur MPEG interne", COL_TEXT},
	{"", COL_NONE},
	{"Jackei", COL_ITEM},
	{"Prise en charge MPEG2 de DVD2avi", COL_TEXT},
	{"", COL_NONE},
	{"Koepi", COL_ITEM},
	{"Fonction d'importation des", COL_TEXT},
	{"chapitres d'OggMux ;)", COL_TEXT},
	{"", COL_NONE},
	{"Markus Oberhumer & Laszlo Molnar", COL_ITEM},
	{"UPX, le compresseur d'executable", COL_TEXT},
	{"qui permet d'alleger ce ", COL_TEXT},
	{"telechargement ;)", COL_TEXT},
	{"", COL_NONE},
	{"mf", COL_ITEM},
	{"Suggestion d'une nouvelle", COL_TEXT},
	{"presentation pour le filtre", COL_TEXT},
	{"de redimensionnement interne :)", COL_TEXT},
	{"", COL_NONE},
	{"Mosu", COL_ITEM},
	{"Auteur de ogmtools :)", COL_TEXT},
	{"", COL_NONE},
	{"OGO & trbarry", COL_ITEM},
	{"Modifications du code de Jackei", COL_TEXT},
	{"& plein de bonnes idees.", COL_TEXT},
	{"", COL_NONE},
	{"Scintilla", COL_ITEM},
	{"Super composant de surlignage", COL_TEXT},
	{"syntaxique", COL_TEXT},
	{"", COL_NONE},
	{"S_O & fccHandler", COL_ITEM},
	{"Corrections MPEG1", COL_TEXT},
	{"& prise en charge MPEG2", COL_TEXT},
	{"", COL_NONE},
	{"Equipe de dev. TCMP", COL_ITEM},
	{"en particulier BlackSun", COL_ITEM},
	{"pour leur formidable lecteur :p", COL_TEXT},
	{"& le fichier codecs.ini =)", COL_TEXT},
	{"", COL_NONE},
	{"Todd Jeffreys", COL_ITEM},
	{"Le code de base de", COL_TEXT},
	{"ce generique", COL_TEXT},
	{"", COL_NONE},
	{"Toff", COL_ITEM},
	{"Super mod d'optimisation", COL_TEXT},
	{"pour l'editeur AVS", COL_TEXT},
	{"", COL_NONE},
	{"Tobias Waldvogel", COL_ITEM},
	{"Filtres pour utiliser le", COL_TEXT},
	{"format OGG en multimedia", COL_TEXT},
	{"", COL_NONE},
	{"Xiph.org", COL_ITEM},
	{"Format OGG, codec Vorbis", COL_TEXT},
	{"", COL_NONE},
	{"Prime541", COL_ITEM},
	{"Code pour rendre VDM portable", COL_TEXT},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"Nos remerciements les plus", COL_YELLOW},
	{"chaleureux a Avery Lee.", COL_YELLOW},
	{"Sans son formidable travail", COL_YELLOW},
	{"sur VirtualDub tout ceci", COL_YELLOW},
	{"n'aurait jamais ete", COL_YELLOW},
	{"possible =D", COL_YELLOW},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"", COL_NONE},
	{"ou au moins tres difficile", COL_RED},
	{";)", COL_RED},
	{NULL, COL_NONE}
};


#endif
